
################################################### PCOA
##Transform DF into community matrix
library(reshape)
CM_df <- read.csv("Troglobites_taxa.csv", head=T)
CM_df2 <- cast(CM_df, ID ~ Species, value="N", sum) 
CM_df2 <- as.data.frame(CM_df2)
row.names(CM_df2) <- CM_df2$ID

###Final Community matrix
names(CM_df2)
CM_df3 <- CM_df2[ , c(2:134)]
CM_df3 <- droplevels(CM_df3)
CM_df3[CM_df3 >= 1 ] <- 1 ## Dataframe: Transform abundance into presence/absence data

CM <- data.matrix(CM_df3) 
CM[CM>0] <- 1 ## Matrix: Transform abundance into presence/absence data

###PCOA
library(vegan)
PCOA2 <- capscale(CM_df3 ~1, distance="bray") ###

plot(PCOA2, type="t")
plot(PCOA2, type="t", xlim=c(-2,3.5), ylim=c(-2.5,2))

scores(PCOA2, display="sites")
SP <- as.data.frame(scores(PCOA2, display="species"))
SP1 <- SP[order(SP$MDS1), ] 
SP2 <- SP[order(SP$MDS2), ] 
head(SP1) ; tail(SP1)
head(SP2) ; tail(SP2)

tiff(filename = "MDS.tif",
     width = 20, height = 20, units = "cm",
     compression = "lzw", bg = "white", res = 300)

ordiplot(PCOA2,type="n", xlim=c(-7,4))
orditorp(PCOA2,display="species",col="red",cex=0.8,air=0.01)
orditorp(PCOA2,display="sites",cex=0.5,air=0.01)
dev.off()

#DIMS <- as.data.frame(scores(PCOA))
DIMS <- as.data.frame(scores(PCOA2, display="sites"))
head(DIMS)

hist(DIMS[,1])
hist(DIMS[,2])
